Subject: [PATCH v2 0/4] Add PWM polarity flag macro for DT

From: [email-masked] (Thierry Reding)
Date: Mon, 29 Jul 2013 14:30:16 +0200

On Thu, Jul 18, 2013 at 12:54:20AM +0200, Laurent Pinchart wrote:
> Hello,
> 
> Here's a small patch set that replaces PWM polarity numerical constants with
> macros in DT.
> 
> The series is the result of splitting the original patch into four patches
> that
> 
> - add the flag macro (both in a header file and in the PWM DT binding core
>   documentation)
> - use the macro in the PWM core code
> - update existing DT bindings to refer to the PWM DT bindings core
>   documentation
> - update existing DT sources to use the new macro
> 
> I believe I've taken all comments received so far into account. Most notable
> changes include
> 
> - splitting the original patch
> - removing the PWM_POLARITY_NORMAL flag, which wasn't a flag but was defined
>   as 0
> - renaming the PWM_POLARITY_INVERSED DT flag to PWM_POLARITY_INVERTED
> - not relying on DT flags and PWM C flags having identical names and values
> 
> Laurent Pinchart (4):
>   pwm: Add PWM polarity flag macro for DT
>   pwm: Use the DT macro directly when parsing PWM DT flags
>   pwm: Update DT bindings to reference pwm.txt for cells documentation
>   ARM: dts: Use the PWM polarity flags
> 
>  Documentation/devicetree/bindings/pwm/atmel-tcb-pwm.txt    |  8 +++-----
>  Documentation/devicetree/bindings/pwm/imx-pwm.txt          |  4 ++--
>  Documentation/devicetree/bindings/pwm/mxs-pwm.txt          |  4 ++--
>  .../devicetree/bindings/pwm/nvidia,tegra20-pwm.txt         |  5 ++---
>  Documentation/devicetree/bindings/pwm/nxp,pca9685-pwm.txt  |  4 ++--
>  Documentation/devicetree/bindings/pwm/pwm-samsung.txt      | 10 +++-------
>  Documentation/devicetree/bindings/pwm/pwm-tiecap.txt       |  8 +++-----
>  Documentation/devicetree/bindings/pwm/pwm-tiehrpwm.txt     |  8 +++-----
>  Documentation/devicetree/bindings/pwm/pwm.txt              |  7 ++++---
>  Documentation/devicetree/bindings/pwm/spear-pwm.txt        |  5 ++---
>  Documentation/devicetree/bindings/pwm/ti,twl-pwm.txt       |  4 ++--
>  Documentation/devicetree/bindings/pwm/ti,twl-pwmled.txt    |  4 ++--
>  Documentation/devicetree/bindings/pwm/vt8500-pwm.txt       |  8 +++-----
>  arch/arm/boot/dts/am335x-evmsk.dts                         |  3 ++-
>  arch/arm/boot/dts/wm8850-w70v2.dts                         |  3 ++-
>  drivers/pwm/core.c                                         |  7 +++----
>  include/dt-bindings/pwm/pwm.h                              | 14 ++++++++++++++
>  17 files changed, 54 insertions(+), 52 deletions(-)
>  create mode 100644 include/dt-bindings/pwm/pwm.h

Applied, thanks.

Thierry
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 836 bytes
Desc: not available
URL: <http://lists.infradead.org/pipermail/linux-arm-kernel/attachments/20130729/f79bfd7b/attachment.sig>